import axios from 'axios';
import { config } from '../config';
const base = "http://localhost:" + config.internal_port

describe('GET /api/docs/openapi.json', () => {
	it('OpenAPI Spec is availdable 200', async () => {
		const res = await axios.get(base + '/api/docs/openapi.json');
		expect(res.status).toEqual(200);
	});
});
describe('GET /api/docs/swagger.json', () => {
	it('OpenAPI Spec is availdable 200', async () => {
		const res = await axios.get(base + '/api/docs/swagger.json');
		expect(res.status).toEqual(200);
	});
});
describe('GET /api/docs/swaggerui', () => {
	it('swaggerui is availdable 200', async () => {
		const res = await axios.get(base + '/api/docs/swaggerui');
		expect(res.status).toEqual(200);
	});
});
describe('GET /api/docs/redoc', () => {
	it('redoc is availdable 200', async () => {
		const res = await axios.get(base + '/api/docs/redoc');
		expect(res.status).toEqual(200);
	});
});
describe('GET /api/docs/rapidoc', () => {
	it('rapidoc is availdable 200', async () => {
		const res = await axios.get(base + '/api/docs/rapidoc');
		expect(res.status).toEqual(200);
	});
});
